Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class MessageFactoryImpl

    java.lang.Object
      |
      +--javax.xml.soap.MessageFactory
            |
            +--org.apache.axis.soap.MessageFactoryImpl

public class MessageFactoryImpl
extends MessageFactory

Message Factory implementation

Author:
  Davanum Srinivas (dims@yahoo.com)

Constructor Summary
`MessageFactoryImpl()`

Method Summary
`SOAPMessage` | `createMessage()` Creates a new `SOAPMessage` object with the default `SOAPPart`, `SOAPEnvelope`, `SOAPBody`, and `SOAPHeader` objects.
`SOAPMessage` | `createMessage(MimeHeaders mimeheaders, java.io.InputStream inputstream)` Internalizes the contents of the given `InputStream` object into a new `SOAPMessage` object and returns the `SOAPMessage` object.

Methods inherited from class javax.xml.soap.MessageFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFactoryImpl

    public MessageFactoryImpl()

Method Detail

### createMessage

    public SOAPMessage createMessage()
                              throws SOAPException

  Creates a new `SOAPMessage` object with the default `SOAPPart`, `SOAPEnvelope`, `SOAPBody`, and `SOAPHeader` objects. Profile-specific message factories can choose to prepopulate the `SOAPMessage` object with profile-specific headers.

  Content can be added to this message's `SOAPPart` object, and the message can be sent "as is" when a message containing only a SOAP part is sufficient. Otherwise, the `SOAPMessage` object needs to create one or more `AttachmentPart` objects and add them to itself. Any content that is not in XML format must be in an `AttachmentPart` object.

  Overrides:
    `createMessage` in class `MessageFactory`
  Returns:
    a new `SOAPMessage` object
  Throws:
    `SOAPException` - if a SOAP error occurs

### createMessage

    public SOAPMessage createMessage(MimeHeaders mimeheaders,
                                     java.io.InputStream inputstream)
                              throws java.io.IOException,
                                     SOAPException

  Internalizes the contents of the given `InputStream` object into a new `SOAPMessage` object and returns the `SOAPMessage` object.
  Overrides:
    `createMessage` in class `MessageFactory`
  Parameters:
    `mimeheaders` - the transport-specific headers passed to the message in a transport-independent fashion for creation of the message
    `inputstream` - the `InputStream` object that contains the data for a message
  Returns:
    a new `SOAPMessage` object containing the data from the given `InputStream` object
  Throws:
    `java.io.IOException` - if there is a problem in reading data from the input stream
    `SOAPException` - if the message is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.